From 7985a18470f28bb3f49dffa6897d9cc238dc0021 Mon Sep 17 00:00:00 2001
From: shipmints <shipmints@gmail.com>
Date: Mon, 16 Dec 2024 14:24:06 -0500
Subject: [PATCH] Support pixelwise frame cloning (bug#74750)

* lisp/frame.el (clone-frame):
Minor docstring clarification.
---
 lisp/frame.el | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/lisp/frame.el b/lisp/frame.el
index 02f3f9f9dae..6d0379e76a9 100644
--- a/lisp/frame.el
+++ b/lisp/frame.el
@@ -862,10 +862,10 @@ make-frame-command
 
 (defun clone-frame (&optional frame no-windows)
   "Make a new frame with the same parameters and windows as FRAME.
-With a prefix arg NO-WINDOWS, don't clone the window configuration.
-When the user option `frame-resize-pixelwise' is non-nil, and FRAME is
-not text-only, clone the originating frame's pixel size.  Otherwise, use
-the number of FRAME's columns and lines for the clone.
+With a prefix arg NO-WINDOWS, don't clone the window configuration.  If
+the user option `frame-resize-pixelwise' is non-nil, and FRAME is
+graphical, clone the originating frame's pixel size.  Otherwise, use the
+number of FRAME's columns and lines for the clone.
 
 FRAME defaults to the selected frame.  The frame is created on the
 same terminal as FRAME.  If the terminal is a text-only terminal then
-- 
2.47.1

